Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.csw.configuration
Class Datasource

    java.lang.Object
      org.deegree.ogcwebservices.csw.configuration.Datasource

    public class Datasource

extends Object

Version:
  $Revision: 18195 $, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Datasource(OnlineResource onlineResource, OGCWebService dataService)`

Method Summary
`OGCWebService` | `getDataService()` returns the data service assigned with the `Datasource`
`OnlineResource` | `getOnlineResource()` returns the `OnlineResource` where to access the capabilities of the the OWS assigned with the `Datasource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Datasource

    public Datasource(OnlineResource onlineResource,
                      OGCWebService dataService)

Parameters:
  `onlineResource` -
  `dataService` -

Method Detail

### getDataService

    public OGCWebService getDataService()

  returns the data service assigned with the `Datasource`

  Returns:
    the data service assigned with the `Datasource`

### getOnlineResource

    public OnlineResource getOnlineResource()

  returns the `OnlineResource` where to access the capabilities of the the OWS assigned with the `Datasource`

  Returns:
    the OnlineResource where to access the capabilities of the the OWS assigned with the `Datasource`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org